1. APIs
SwaggerHub Registry API
  • APIs
    • Retrieves a list of currently defined APIs in APIs.json format.
      GET
    • Retrieves an APIs.json listing of all APIs defined for this owner
      GET
    • Deletes the specified API
      DELETE
    • Retrieves an APIs.json listing for all API versions for this owner and API
      GET
    • Saves the provided Swagger definition
      POST
    • Deletes API's collaboration
      DELETE
    • Gets API's collaboration
      GET
    • Updates API's collaboration
      PUT
    • Deletes a particular version of the specified API
      DELETE
    • Retrieves the Swagger definition for the specified API and version
      GET
    • Returns comments for the specified API version
      GET
    • Retrieves the Swagger definition for the specified API and version in JSON format
      GET
    • Retrieves the Swagger definition for the specified API and version in YAML format
      GET
    • Retrieves a list of currently defined APIs and Domains in APIs.json format
      GET
  • Domains
    • Retrieves a list of currently defined domains in APIs.json format
      GET
    • Retrieves an APIs.json listing of all domains defined for this owner
      GET
    • Deletes the specified domain
      DELETE
    • Retrieves an APIs.json listing for all domain versions for this owner and domain
      GET
    • Saves the provided Swagger definition of a domain
      POST
    • Deletes a particular version of the specified domain
      DELETE
    • Retrieves the Swagger definition for the specified domain and version
      GET
    • Returns comments for the specified domain version
      GET
    • Retrieves the definition for the specified domain and version in JSON format
      GET
    • Retrieves the definition for the specified domain and version in YAML format
      GET
  • Schemas
    • Schemas
      • ApisJson
      • ApisJsonApi
      • ApisJsonProperty
      • ClosableComment
      • Collaboration
      • CollaborationHint
      • CollaborationMember
      • CollaborationMembership
      • CollaborationTeamMembership
      • Comment
      • Page
      • User
  1. APIs

Saves the provided Swagger definition

POST
/apis/{owner}/{api}
Saves the provided Swagger definition; the owner must match the token owner. The version will be extracted from the Swagger definition itself.

Request

Path Params

Query Params

Body Params application/json

Examples

Responses

🟢200The API was successfully saved
application/json
Body

🟢201New API was successfully saved
🟢205The API was successfully saved and should be reloaded
🟠400The Swagger definition was invalid
🟠403Maximum number of APIs reached
🟠409Cannot overwrite a published API version
🟠415Invalid content type
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.swaggerhub.com/apis//' \
--header 'Content-Type: application/json' \
--data-raw '"string"'
Response Response Example
200 - Example 1
{}
Modified at 2022-09-11 16:53:02
Previous
Retrieves an APIs.json listing for all API versions for this owner and API
Next
Deletes API's collaboration
Built with